Count commit changes
curl --request GET \
--url https://api.diversion.dev/v0/repos/{repo_id}/commits/{commit_id}/count_changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/commits/{commit_id}/count_changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/commits/{commit_id}/count_changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes_count": 123
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Repository Commit Manipulation
Count commit changes
Get the number of changes in a commit
GET
/
repos
/
{repo_id}
/
commits
/
{commit_id}
/
count_changes
Count commit changes
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
A commit ID
Required string length:
3 - 128Example:
"dv.commit.350e1bc3-52dc-4659-9817-7ce8f3fdf628"
Response
The number of changes in the commit
⌘I

